@use "../abstracts" as *;

.term-switch {
  background: var(--primary-400);
  box-shadow: 0px 0px 1.4rem 4px rgba(0, 0, 0, 0.2) inset;
  border-radius: 2.4rem;
  display: flex;
  padding: 0.6rem 1.2rem;
  justify-content: space-between;
  width: fit-content;
  color: var(--grey-700);
  font-size: var(--caption1);
  gap: 0.2rem;
  overflow: hidden;

  position: relative;
  &_indicator {
    position: absolute;
    left: calc(1.2rem + 3.6rem + 0.2rem);
    transition: left 0.2s cubic-bezier(0.68, -0.6, 0.32, 1.6);

    box-shadow: 0px 0px 0.8rem 1px rgba(0, 0, 0, 0.1) inset;

    &.base {
      left: calc(1.2rem);
    }

    top: 0.6rem;
    width: 3.6rem;
    height: 3.6rem;
    background-color: var(--primary-700);
    z-index: 1;

    border-radius: 50%;
  }

  &_item {
    cursor: pointer;
    width: 3.6rem;
    height: 3.6rem;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;

    position: relative;
    z-index: 2;
    transition: box-shadow 0.2s;

    &:hover {
      box-shadow: 0px 0px 1rem 2px rgba(255, 255, 255, 0.08);
    }

    &.active {
      color: var(--grey-200);
    }

    &-1 {
    }

    &-2 {
    }
  }

  &_box {
    grid-area: term;
    // background-color: red;
    // opacity: 0.4;
  }
}
